Package Details: brother-ql500-lpr 1.0.1-7

Git Clone URL: https://aur.archlinux.org/brother-ql500-lpr.git (read-only)
Package Base: brother-ql500-lpr
Description: Brother LPR driver for P-Touch QL-500 labelprinter
Upstream URL: http://solutions.brother.com/linux/en_us/
Licenses: custom:brother
Submitter: khampf
Maintainer: zoe
Last Packager: zoe
Votes: 5
Popularity: 0.004839
First Submitted: 2012-11-05 00:00
Last Updated: 2015-06-24 07:53

Latest Comments

khampf commented on 2014-05-26 09:19

Allright, I leave it up to you to update the package, you've done a great job with the driver

zoe commented on 2014-05-26 08:39

@khampf :
if you like, I can maintain this package.

zoe commented on 2014-05-26 08:39

I dig and I could fix it.
I have made a new PKGBUILD :
http://pastebin.com/TpWWTWh0
and a new lpr.install :
http://pastebin.com/fESfajFH

Plus, I also have made a new [PKGBULD + cupswrapper.install] for brother-ql500-cupswrapper (see my comment on this last package).

… now, it works !! I can print a page test with my QL-500.

Important : before installing brother-ql500-lpr, you must connect and put on the QL-500 printer.

Thanks to the maintainer of brother-ql700-lpr, his work helped me much.

zoe commented on 2014-05-26 08:38

I dig and I could fix it.
I have made a new PKGBUILD :
http://pastebin.com/TpWWTWh0
and a new lpr.install :
http://pastebin.com/fESfajFH
Plus, I also have made a new [PKGBULD + cupswrapper.install] for brother-ql500-cupswrapper (see my comment on this last package).

… now, it works !! I can print a page test with my QL-500.

Important : before installing brother-ql500-lpr, you must connect and put on the QL-500 printer.

Thanks to the maintainer of brother-ql700-lpr, his work helped me much.

zoe commented on 2014-05-26 08:38

I dig and I could fix it.
I have made a new PKGBUILD :
http://pastebin.com/TpWWTWh0
and a new lpr.install :
http://pastebin.com/fESfajFH
Plus, I also have made new PKGBULD and new cupswrapper.install for brother-ql500-cupswrapper (see my comment on this last package).

… now, it works !! I can print a page test with my QL-500.

Important : before installing brother-ql500-lpr, you must connect and put on the QL-500 printer.

Thanks to the maintainer of brother-ql700-lpr, his work helped me much.

zoe commented on 2014-05-26 00:39

@khampf :
if you like, I can maintain this package.

zoe commented on 2014-05-26 00:37

I dig and I could fix it.
I have made a new PKGBUILD :
http://pastebin.com/TpWWTWh0
and a new lpr.install :
http://pastebin.com/fESfajFH
Plus, I also have made new PKGBULD and new cupswrapper for brother-ql500-cupswrapper (see my comment on this last package).

… now, it works !! I can print a page test with my QL-500.

Important : before installing brother-ql500-lpr, you must connect and put on the QL-500 printer.

Thanks to the maintainer of brother-ql700-lpr, his work helped me much.

zoe commented on 2014-05-23 22:57

Unfortunately, if install did well, printing does not work : the led is blinking fast, and the print task is told «completed», but nothing is coming from QL-500.
I will continue using Windows XP and P-Touch software in VirtualBox.

Though, when I was using Ubuntu, I was able to print with QL-500.
I do not understand what is wrong there.

khampf commented on 2014-05-23 21:09

Great work zoe, never got the printer working correctly and sort of gave up on it. I'll test your PKGBUILD and update for now but if you would like to maintain the driver I can disown it, I've got my hands full as is already :)

zoe commented on 2014-05-23 17:31

Since 2013-08-13, version 1.0.1-0 is available on
http://support.brother.com/g/s/id/linux/en/download_esp.html#QL-500

Please, update PKGBUILD

Successfull install of version 1.0.1-0 with this customized PKGBUILD :
http://pastebin.com/Di1QAs7m

After install, you must install brother-ql500-cupswrapper

All comments